%define apiver 0.1

Name:		scim-python
Version:	%{apiver}.12
Release:	%mkrel 3
Summary:	Python wrapper for Smart Common Input Method platform
License:	LGPLv2+
Group:		System/Internationalization
URL:		http://code.google.com/p/scim-python/
Source0:	http://scim-python.googlecode.com/files/%{name}-%{version}.tar.gz
Source1:	http://scim-python.googlecode.com/files/pinyin-database-0.1.10.5.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:	scim-devel gettext-devel
BuildRequires:	pygtk2.0-devel python-enchant
Requires:	scim-client = %{scim_api}
Requires:	%name-l10n = %version

%description
Python wrapper for Smart Common Input Method platform.

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING README TODO
%{python_sitearch}/scim-%{apiver}
%{python_sitearch}/scim.pth
%{scim_plugins_dir}/*/*.so
%dir %{_datadir}/scim-python
%dir %{_datadir}/scim-python/engine
%{_datadir}/scim-python/engine/__init__.*
%dir %{_datadir}/scim-python/setupui
%{_datadir}/scim-python/setupui/__init__.*
%dir %{_datadir}/scim-python/helper
%{_datadir}/scim-python/helper/__init__.*
%{_datadir}/scim/icons/*

#-----------------------------------------------------------
%package en
Summary:	Python english IM engine 
Group:		System/Internationalization
Requires:	%{name} = %{version}
Requires:	python-enchant
Requires:	locales-en
Provides:	%name-l10n = %version
Conflicts:	%name < 0.1.9

%description en
This package contains a python english IM engine.

%files en
%defattr(-,root,root,-)
%{_datadir}/scim-python/engine/EnglishWriter
%{_datadir}/scim-python/setupui/EnglishWriter
#-----------------------------------------------------------

%package zh_CN
Summary:        Python chinese IM engine
Group:          System/Internationalization
Requires:       %{name} = %{version}
Requires:       locales-zh
Provides:       %name-l10n = %version
Conflicts:      %name < 0.1.9

%description zh_CN
This package contains a python chinese IM engine.

%files zh_CN
%defattr(-,root,root,-)
%_bindir/XMCreateDB
%{_datadir}/scim-python/engine/XingMa
%{_datadir}/scim-python/data/pinyin_table.txt
%{_datadir}/scim-python/engine/PinYin
%{_datadir}/scim-python/helper/PinYinSetup
%{_datadir}/scim-python/helper/ZhengJuSetup

#-----------------------------------------------------------

%prep
%setup -q
cp %{SOURCE1} python/engine/PinYin/

%build
%configure2_5x --disable-static
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
rm -f $RPM_BUILD_ROOT%{python_sitearch}/scim-%{apiver}/scim/_scim.la
%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT


%changelog
* Mon Aug 25 2008 Funda Wang <fundawang@mandriva.org> 0.1.12-3mdv2009.0
+ Revision: 275909
- add pinyin IME

* Fri Aug 08 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.1.12-2mdv2009.0
+ Revision: 269243
- rebuild early 2009.0 package (before pixel changes)

* Thu Jun 05 2008 Funda Wang <fundawang@mandriva.org> 0.1.12-1mdv2009.0
+ Revision: 215212
- New version 0.1.12
- disable pinyin as it uses non-free data files
- New version 0.1.11

* Wed Jan 09 2008 Funda Wang <fundawang@mandriva.org> 0.1.9-1mdv2008.1
+ Revision: 147059
- New version 0.1.9
- switch to fedora layout

* Thu Jan 03 2008 Funda Wang <fundawang@mandriva.org> 0.1.8-2mdv2008.1
+ Revision: 142482
- fix requries

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 31 2007 Funda Wang <fundawang@mandriva.org> 0.1.8-1mdv2008.1
+ Revision: 139838
- New version 0.1.8

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Oct 14 2007 Funda Wang <fundawang@mandriva.org> 0.1.4-1mdv2008.1
+ Revision: 98312
- BR python-enchant
- import scim-python
- Created package structure for scim-python.

